Package: org.grails.encoder

## [Java] Class CodecLookupHelper

- org.grails.encoder.CodecLookupHelper

-     public class CodecLookupHelper
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static org.slf4j.Logger` | `log` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `private CodecLookupHelper ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static Encoder` | `lookupEncoder(GrailsApplication grailsApplication, java.lang.String codecName)` Lookup encoder.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private static final org.slf4j.Logger log

  - ### Constructor Detail

    - #### private CodecLookupHelper()

  - ### Method Detail

    - #### public static Encoder lookupEncoder(GrailsApplication grailsApplication, java.lang.String codecName)

      Lookup encoder.

      Parameters:
        `grailsApplication` - the grailsApplication instance
        `codecName` - the codec name
      Returns:
        the encoder instance